import "./Homepage.scss";
import Header from "@/Widgets/home/Header/Header";
import MapSection from "@/Widgets/home/MapSection/MapSection";
import RatingSection from "@/Widgets/home/RatingSection/RatingSection";
import StatisticsSection from "@/Widgets/home/StatisticsSection/StatisticsSection";
import NewsSection from "@/Widgets/home/NewsSection/NewsSection";

const Homepage = ({
  searchParams,
}: {
  searchParams: {
    "тип-дороги": string;
    "карта-дорог": string;
    рейтинг: string;
  };
}) => {
  return (
    <div className="home">
      <Header />
      <StatisticsSection />
      <MapSection
        categories={searchParams["тип-дороги"]}
        queryMap={searchParams["карта-дорог"]}
        queryRating={searchParams["рейтинг"]}
      />
      <RatingSection
        categories={searchParams["тип-дороги"]}
        queryMap={searchParams["карта-дорог"]}
        queryRating={searchParams["рейтинг"]}
      />
      <NewsSection />
    </div>
  );
};

export default Homepage;
